classification
Title: "type specific" to "type-specific"
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: Retro
Priority: normal Keywords:

Created on 2012-01-02 05:48 by Retro, last changed 2012-01-18 16:05 by Retro. This issue is now closed.

Messages (13)
msg150451 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-02 05:48
Please visit the following link and fix the below text:

http://docs.python.org/library/unittest.html#unittest.TestCase.assertEqual

Changed in version 2.7: Added the automatic calling of >>>type-specific<<< equality function.

Just add the hyphen. Thanks.
msg150490 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-03 01:19
Also

http://guide.python-distribute.org/quickstart.html#lay-out-your-project

needs to have the first sentence fixed: "python" to "Python"


and

http://docs.python.org/library/functools.html#functools.cmp_to_key

needs to have the word "Py3.x" fixed to "Python 3" (note: not to "Python 3.x" because functools.reduce() function also has the word "Python 3", so be consistent)
msg151326 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-01-16 06:29
New changeset 2dd96cf324ee by Ezio Melotti in branch '2.7':
#13695: fix a couple of typos in the doc.
http://hg.python.org/cpython/rev/2dd96cf324ee

New changeset bff9ab281385 by Ezio Melotti in branch '3.2':
#13695: fix a couple of typos in the doc.
http://hg.python.org/cpython/rev/bff9ab281385

New changeset 3b097e0892cf by Ezio Melotti in branch 'default':
#13695: merge with 3.2.
http://hg.python.org/cpython/rev/3b097e0892cf
msg151327 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-01-16 06:32
I fixed both 'type-specific' and 'Python 3'.  The python-distribute link is not part of our documentation so I can't fix it.
msg151332 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-16 06:57
There's also one more typo in the doc for cmp_to_key() function. Fix the first sentence "Transform an old-style comparison function to a key-function." to "Transform an old-style comparison function to a key function." (note the removal of the hyphen between words "key" and "function")

http://docs.python.org/library/functools.html#functools.cmp_to_key
msg151344 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-16 08:51
Found one little bug again in http://docs.python.org/library/stdtypes.html#sequence-types-str-unicode-list-tuple-bytearray-buffer-xrange

Look at the table with the fields Operation, Result, Notes, and fix the fifth record of the Result field from "i'th item of s, origin 0" to "i-th item of s, origin 0".

So change only that apostrophe into a hyphen, so "i'th" to "i-th".
msg151349 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-01-16 10:39
Would you care to explain why that change needs to be made?
msg151397 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-16 18:04
I guess you're reffering to the  "i'th" --> "i-th"  thing.

I found numerous occasions on the Internet that say like "n-th element blah blah blah", not "n'th element..."

So I guess writting this thing as "i-th" would be correct here, too.
msg151404 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-01-16 20:00
"numerous occasions" is not good enough. Why not let a native speaker decide?
msg151456 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-17 14:22
Well, actually, it's the only correct way to write it (i-th). This is a simple orthographical error that was made. Ezio, please fix those two additional typos. And Georg, stop being such a wise-ass.
msg151480 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-01-17 19:14
Once you start contributing anything useful, I will start treating it as such.
msg151522 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-18 08:31
Shut up, Georg! Ezio, please fix this two additional typos to close this bug report for good.
msg151546 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-18 16:05
I am closing this issue report and opening another issue report with the two new doc typos that were not reported here before the commit of Ezio Melotti.
History
Date User Action Args
2012-01-18 16:05:19Retrosetstatus: open -> closed

nosy: - rhettinger, ezio.melotti, docs@python, python-dev
messages: + msg151546

resolution: fixed
2012-01-18 15:55:01Retrosetnosy: - georg.brandl
resolution: remind -> (no value)
2012-01-18 08:31:32Retrosetmessages: + msg151522
2012-01-17 19:14:15georg.brandlsetmessages: + msg151480
2012-01-17 14:22:23Retrosetmessages: + msg151456
2012-01-16 20:00:26georg.brandlsetmessages: + msg151404
2012-01-16 18:04:46Retrosetmessages: + msg151397
2012-01-16 10:39:09georg.brandlsetmessages: + msg151349
2012-01-16 08:51:43Retrosetmessages: + msg151344
2012-01-16 07:06:11georg.brandlsetassignee: ezio.melotti -> rhettinger

nosy: + rhettinger
2012-01-16 06:57:20Retrosetstatus: closed -> open
resolution: fixed -> remind
messages: + msg151332
2012-01-16 06:32:03ezio.melottisetstatus: open -> closed
messages: + msg151327

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: needs patch -> resolved
2012-01-16 06:29:51python-devsetnosy: + python-dev
messages: + msg151326
2012-01-03 01:29:30ezio.melottisetnosy: + ezio.melotti
stage: needs patch
type: enhancement

versions: - Python 3.1, Python 3.4
2012-01-03 01:19:22Retrosetnosy: + georg.brandl
messages: + msg150490
2012-01-02 05:48:08Retrocreate